Summary:	Gives a fake root environment
Name:		fakeroot
Version:	1.25.3
Release:	%mkrel 1
License:	GPL
Group:		Development/Other
URL:		http://fakeroot.alioth.debian.org/
Source0:	http://ftp.debian.org/debian/pool/main/f/fakeroot/fakeroot_%{version}.orig.tar.gz
BuildRequires:	libstdc++-devel
BuildRequires:  sharutils
BuildRequires:  util-linux-ng
BuildRequires:	pkgconfig(libcap) 

%description
This package is intended to enable something like: fakeroot rpm
--rebuild i.e. to remove the need to become root for a package
build. This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
that provides wrappers around chown, chmod, mknod, stat, etc.

If you don't understand any of this, you do not need this!

%prep

%setup -q
for file in ./doc/*/*.1.*; do
  %{_bindir}/iconv -f latin1 -t utf8 < $file > $file.new
  %{__mv} -f $file.new $file
done
# Fix man page location
perl -pi -e 's|faked.1|../faked.1|; s|fakeroot.1|../fakeroot.1|' doc/*/Makefile.am

# the french man page is in man-pages-fr-1.58.0-18mdk, nuke this one to prevent file clash
perl -pi -e 's| fr | |' doc/Makefile.am

# anti version hack
%{__perl} -pi -e "s|-release 0|-avoid-version|g" Makefile*

%build

./bootstrap
autoscan
libtoolize -f -c --automake
aclocal
autoheader
rm -f missing
automake --add-missing --copy
autoconf -W all
rm -rf autom4te.cache
%configure \
    --disable-dependency-tracking \
    --disable-static \
    --with-ipc=sysv \
    --libdir=%{_libdir}/libfakeroot
%make_build

%install
%make_install libdir=%{_libdir}/libfakeroot

%{__rm} %{buildroot}%{_libdir}/libfakeroot/*.la


%files
%defattr(-,root,root,0755)
%doc AUTHORS BUGS COPYING ChangeLog DEBUG INSTALL NEWS README 
%{_bindir}/*
%{_libdir}/libfakeroot
%{_mandir}/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(nl) %{_mandir}/nl/man*/*
%lang(pt) %{_mandir}/pt/man*/*
%lang(sv) %{_mandir}/sv/man*/*


%changelog
* Thu Nov 12 2020 tv <tv> 1.25.3-1.mga8
+ Revision: 1644824
- 1.25.3

* Mon Aug 24 2020 bcornec <bcornec> 1.24-1.mga8
+ Revision: 1618495
- Update to upstream fakeroot 1.24

* Fri Feb 14 2020 umeabot <umeabot> 1.23-4.mga8
+ Revision: 1519322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Oct 11 2018 bcornec <bcornec> 1.23-3.mga7
+ Revision: 1319475
- Update to upstream fakeroot 1.23

* Sun Sep 23 2018 umeabot <umeabot> 1.21-3.mga7
+ Revision: 1297658
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 pterjan <pterjan> 1.21-2.mga7
+ Revision: 1250654
- Use configure2_5x, else executable now get the target added as prefix

* Fri Aug 26 2016 bcornec <bcornec> 1.21-1.mga6
+ Revision: 1048962
- Update to upstream fakeroot 1.21 and fix build process which changed

* Thu Feb 04 2016 umeabot <umeabot> 1.20.2-4.mga6
+ Revision: 935633
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 bcornec <bcornec> 1.20.2-3.mga5
+ Revision: 742496
- Update to upstream fakeroot 1.20.2 +pt man pages
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.1-2.mga5
+ Revision: 679086
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 bcornec <bcornec> 1.20.1-1.mga5
+ Revision: 673036
- Update to upstream 1.20.1 (and remove any fakechroot reference commit from the past)

* Sat Sep 06 2014 bcornec <bcornec> 2.17.2-2.mga5
+ Revision: 672484
- Update to upstream 2.17 and fix the diffs it created with v1 in spec file (new files packaged, renaming to fakechroot, buildreq)

* Mon Oct 21 2013 umeabot <umeabot> 1.20-2.mga5
+ Revision: 540533
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 bcornec <bcornec> 1.20-1.mga4
+ Revision: 493829
- Typo libpcap => libcap
- fakeroot needs also a specific autoconf option --with-ipc=sysv
- fakaroot now build depends on libpcap
- Update to upstream fakeroot 1.20

* Fri Jan 11 2013 umeabot <umeabot> 1.18.4-2.mga3
+ Revision: 350049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 dams <dams> 1.18.4-1.mga3
+ Revision: 309369
- new version 1.18.4
- clean specfile
- remove 'po4a' as BuildRequires
- update %%file list

* Thu May 10 2012 bcornec <bcornec> 1.14.4-2.mga2
+ Revision: 235149
- Remove compilation flag --with-ipc=tcp to fix bug 340 ( Cf: https://bugs.mageia.org/show_bug.cgi?id=340)

* Fri Feb 18 2011 pterjan <pterjan> 1.14.4-1.mga1
+ Revision: 53559
- imported package fakeroot

